Bug 6396 - Исправить настройки по умолчанию
: Исправить настройки по умолчанию
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/kdepim-kmail)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-04-04 01:12 by
Modified: 2013-08-15 17:53 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-04-04 01:12:21
Должна быть настройки по умолчанию: 
1. Настройка->настройка Kmail->Отправка,Параметры сообщения=Допускать 8 бит  
(иначе письма отправляются mime-кодированными, что не всегда приемлемо) 
2. Предлагается убрать sendmail для отправки по умолчанию, это ведёт 
к частой ошибке при настройке программы, когда письмо молча отправляется 
и навсегда остаётся в спуле postfix.
------- Comment #1 From 2005-08-10 18:32:13 -------
(In reply to comment #0) 
> Должна быть настройки по умолчанию:  
> 1. Настройка->настройка Kmail->Отправка,Параметры сообщения=Допускать 8 бит   
> (иначе письма отправляются mime-кодированными, что не всегда приемлемо) 
Не хочу менять, IMHO разработчикам это виднее 
  
> 2. Предлагается убрать sendmail для отправки по умолчанию, это ведёт  
> к частой ошибке при настройке программы, когда письмо молча отправляется  
> и навсегда остаётся в спуле postfix. 
А чем заменить? 
 
------- Comment #2 From 2005-08-18 19:34:55 -------
(In reply to comment #1) 
> (In reply to comment #0)  
> > Должна быть настройки по умолчанию:   
> > 1. Настройка->настройка Kmail->Отправка,Параметры сообщения=Допускать 8 
бит    
> > (иначе письма отправляются mime-кодированными, что не всегда приемлемо)  
> Не хочу менять, IMHO разработчикам это виднее  
Нет никакой необходимости кодировать текст письма, особенно если он не в HTML. 
    
> > 2. Предлагается убрать sendmail для отправки по умолчанию, это ведёт   
> > к частой ошибке при настройке программы, когда письмо молча отправляется   
> > и навсегда остаётся в спуле postfix.  
> А чем заменить?  
Если postfix в домашней системе не является штатным средством отправки писем, 
то ничем не заменять. Человек добавит то, что ему нужно. 
 
 
------- Comment #3 From 2005-08-26 11:41:58 -------
(In reply to comment #2)
> > > 1. Настройка->настройка Kmail->Отправка,Параметры сообщения=Допускать 8
бит    
> > > (иначе письма отправляются mime-кодированными, что не всегда приемлемо)  
> > Не хочу менять, IMHO разработчикам это виднее  
> Нет никакой необходимости кодировать текст письма, особенно если он не в HTML. 
Не уверен, особенно если там multipart/signed (и нет отдельной ручки на эту тему).

OTOH мой mutt настроен на 8bit:

Content-Type: text/plain; charset=koi8-r
Content-Disposition: inline
Content-Transfer-Encoding: 8bit

-- вроде никто не жаловался.
------- Comment #4 From 2005-09-11 19:44:07 -------
Так всё-таки, как насчёт того, чтобы по умолчанию не кодировать письма? Если 
есть вложение, то текст закодируется, это уже другая ситуация. 

И насчёт отправки. Умолчание должно быть работающим, или его не должно быть. 
При указанном sendmail почта отправляется в никуда, если postfix не настроен. 
Другой вариант: при установке на desktop не ставить postix по умолчанию. 
------- Comment #5 From 2007-05-23 15:10:10 -------
Т.е. как я понял вы хотите в:
kmail/kmsender.cpp

mSendQuotedPrintable = config.readBoolEntry("Quoted-Printable", TRUE);

выставить в:

mSendQuotedPrintable = config.readBoolEntry("Quoted-Printable", FALSE);

??

А зачем????

Про sedmail.

sendmail выставляется если вы сами укажите опцию в МАСТЕРЕ "Использовать
локальную доставку". Где он еще выставляется автоматически? (Я больше не нашел).

Т.е. вы хотите переписать МАСТЕР создания учетной записи? Что в итоге он должен
предлагать?

Обьясните.
------- Comment #6 From 2007-05-23 16:51:37 -------
Если будет аргументированный довод чтобы отключить "Стандард MIME (Quoted
Printable)":

тогда можно будет в файл /etc/kde/share/config/kmailrc (что их пакета
kde-settings) выставить опцию:

Quoted-Printable=false
------- Comment #7 From 2007-05-24 00:12:08 -------
Про sendmail сейчас уже не актуально, наверное было актуально раньше, когда не 
было мастера.
Про quoted printable - объясните смысл уродовать текст и раздувать текст 
письма, делая его к тому же нечитаемым? Разве в мире существуют какие-то 
проблемы с передачей 8-го бита?
------- Comment #8 From 2010-10-30 13:22:50 -------
(In reply to comment #7)
> Разве в мире существуют какие-то проблемы с передачей 8-го бита?
Могу спросить netch@, но насколько понимаю -- non-8bit-clean релеи давно
вымерли хотя бы от спама.  С другой стороны -- они это в KDE4 не меняли часом?
------- Comment #9 From 2010-11-01 13:31:11 -------
(В ответ на комментарий №8)
> они это в KDE4 не меняли часом?
Нет, все так же.
------- Comment #10 From 2013-08-15 17:53:32 -------
apparently wontfix